import Vue from 'vue'

document.body.classList.add('sd-body')
document.body.id = 'sd-body'
const isIE = navigator.userAgent.includes('Trident/')
const platform = window.navigator.platform.toLowerCase()
const isXC = !platform.includes('win32') && !platform.includes('win64')

document.body.classList.add(isIE ? 'browser-ie' : 'browser-not-ie')
document.body.classList.add(isXC ? 'platform-xc' : 'platform-not-xc')

// 增加是否ie、信创的标识
Vue.prototype.sdPlatform = {
  isIE,
  isXC,
}
